Cant join server

Status
Not open for further replies.

TurtleBombPro

New member
May 11, 2019
2
0
1
Hello, i am trying to connect to the NA server, however, its not working. is there a specific version of minecraft i need to use or do i even have the correct ip? the ip im using is na.backplay.net?
please help thank you
 

mr. ogi

Senior Moderator
Staff member
Senior Moderator
Moderator Buddy
Jan 12, 2019
697
86
53
Serbia
Hi @TurtleBombPro

The version which Backplay uses is 1.7, but you can also join on 1.8.
If you're still unable to join the server, admins will be tagged just in case @Ferao @Albert , they will hopefully resolve your issue.

A higher rank will provide a final response in no time and will proceed to close the post.

Have a nice day,

BackPlay Staff Team
 

Ferao

Staff & Content Manager
Staff member
Administrator
Content Manager
Staff Manager
Aug 12, 2018
284
122
83
Survival Games 2
Hi @TurtleBombPro

As @mr. ogi said the server do only work with 1.7/1.8 versions, trying to join with a different version it is impossible.

Some users had already notified us with the same issues and sometimes was related to the VPN.

I will now proceed to close the post.

Have a nice day,

BackPlay Staff Team
 
Status
Not open for further replies.

Discord server

Latest resources

Members online

Forum statistics

Threads
6,013
Messages
17,461
Members
4,416
Latest member
TedyR